import { defineUniPages } from '@uni-helper/vite-plugin-uni-pages'

export default defineUniPages({
  globalStyle: {
    navigationStyle: 'default',
    navigationBarTitleText: 'unibest',
    navigationBarBackgroundColor: '#f8f8f8',
    navigationBarTextStyle: 'black',
    backgroundColor: '#FFFFFF',
  },
  easycom: {
    autoscan: true,
    custom: {
      '^wd-(.*)': 'wot-design-uni/components/wd-$1/wd-$1.vue',
      '^(?!z-paging-refresh|z-paging-load-more)z-paging(.*)':
        'z-paging/components/z-paging$1/z-paging$1.vue',
    },
  },
  tabBar: {
    custom: true,
    color: '#999999',
    selectedColor: '#018d71',
    backgroundColor: '#F8F8F8',
    borderStyle: 'black',
    height: '50px',
    fontSize: '10px',
    iconWidth: '24px',
    spacing: '3px',
    list: [
      {
        icon: '/static/tabbar/home.png',
        pagePath: 'pages/index/index',
        text: 'tabbar.home',
        iconType: 'local',
      },
      {
        icon: '/static/tabbar/category.png',
        pagePath: 'pages/category/category',
        text: 'tabbar.category',
        iconType: 'local',
      },
      {
        icon: '/static/tabbar/cart.png',
        pagePath: 'pages/cart/cart',
        text: 'tabbar.cart',
        iconType: 'local',
      },
      {
        icon: '/static/tabbar/community.png',
        pagePath: 'pages/community/community',
        text: 'tabbar.community',
        iconType: 'local',
      },
      {
        icon: '/static/tabbar/person.png',
        pagePath: 'pages/person/person',
        text: 'tabbar.person',
        iconType: 'local',
      },
    ],
  },
})
